# Driver interface to Stdio

## Detailed Description

This module contains the imports for the kernel's stdio routines.

## Functions

int | sceKernelStdoutReopen (const char *file, int flags, SceMode mode)
| Function reopen the stdout file handle to a new file.
int | sceKernelStderrReopen (const char *file, int flags, SceMode mode)
| Function reopen the stderr file handle to a new file.
int | fdprintf (int fd, const char *format,...)
| fprintf but for file descriptors

## Function Documentation

int fdprintf | ( | int | fd,
|  | const char * | format,
|  |  | ...
| ) |

fprintf but for file descriptors

Parameters:

  | fd | - file descriptor from sceIoOpen
  | format | - format string
  | ... | - variables

Returns:
  number of characters printed, <0 on error

int sceKernelStderrReopen | ( | const char * | file,
|  | int | flags,
|  | SceMode | mode
| ) |

Function reopen the stderr file handle to a new file.

Parameters:

  | file | - The file to open.
  | flags | - The open flags
  | mode | - The file mode

Returns:
  < 0 on error.

int sceKernelStdoutReopen | ( | const char * | file,
|  | int | flags,
|  | SceMode | mode
| ) |

Function reopen the stdout file handle to a new file.

Parameters:

  | file | - The file to open.
  | flags | - The open flags
  | mode | - The file mode

Returns:
  < 0 on error.